View Issue Details

IDProjectCategoryView StatusLast Update
0008918VALENTINA SERVERHTTP Accesspublic2021-02-11 04:27
ReporterSergey PashkovAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version10.6.x 
Target Version10.6.xFixed in Version10.6.x 
Summary0008918: Add "datasource" param to the HTTP server to generate reports from any supported database
DescriptionNow only VDB are allowed.

If datasource is defined, the following method should be called:
MakeNewReport(
                                const String& inReportName,
                                const String& inDataSource,
                                const String& inQuery = String::sEmpty(),
                                const ArrayOfValues_Ptr inBindings = nullptr ) = 0;
Additional InformationFormat of the datasource string:
https://valentina-db.com/docs/dokuwiki/v10/doku.php?id=valentina:products:adk:api:vproject_class:report_factory_any

Example:
mssql:// host = '192.168.1.2', port = 1433, user = 'root', password = 'root', dbname = 'db1'
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2021-02-08 10:20 Sergey Pashkov New Issue
2021-02-08 10:24 Sergey Pashkov Additional Information Updated View Revisions
2021-02-09 12:19 Ivan Smahin Assigned To => Ivan Smahin
2021-02-09 12:19 Ivan Smahin Status new => assigned
2021-02-11 04:26 Ivan Smahin Status assigned => resolved
2021-02-11 04:26 Ivan Smahin Resolution open => fixed
2021-02-11 04:26 Ivan Smahin Fixed in Version => 10.6.x